//https://www.shadertoy.com/view/wlyXRh
void mainImage( out vec4 fragColor, in vec2 fragCoord )
{
    vec3 col = vec3(0);
    vec2 uv = (fragCoord - 0.5 * iResolution.xy)/iResolution.y;
    uv *= 20000.;
    vec2 gv = fract(uv)-0.5;

    float mask = abs(gv.x + gv.y);//smoothstep(-0.01, 0.01, gv.x + gv.y);
    col += mask;
    
    //col.rg = gv;
    
    /**/
    if(gv.x > 0.48 || gv.y > 0.48) col = vec3(1,0.3,0);
    if(gv.x < -0.48 || gv.y < -0.48) col = vec3(0.3,0.7,0);
    if(abs(gv.x) < 0.01 || abs(gv.y) < 0.01) col += vec3(0.3,-0.3,-0.3);
	/**/
    
    fragColor = vec4(col,1.0);
}